package Database

import (
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
	"os"
)

func GetDSN() string {
	dbHost := os.Getenv("DB_HOST")
	dbPort := os.Getenv("DB_PORT")
	dbUser := os.Getenv("DB_USER")
	dbPassword := os.Getenv("DB_PASSWORD")
	dbName := os.Getenv("DB_NAME")
	dsn := dbUser + ":" + dbPassword + "@tcp(" + dbHost + ":" + dbPort + ")/" + dbName
	return dsn
}

func GetConnection() *gorm.DB {
	db, _ := gorm.Open(mysql.Open(GetDSN()), &gorm.Config{})
	return db
}
