package main

import (
	"Dhaverd/computer-journal/Controllers"
	"fmt"
	"github.com/joho/godotenv"
	"net/http"
	"os"
)

func LoadDotEnv() {
	errEnv := godotenv.Load(".env.local")
	if errEnv != nil {
		fmt.Println("Error loading .env.local file. Trying to load .env file...")
		errEnv = godotenv.Load(".env")
		if errEnv != nil {
			fmt.Println("Error loading .env file")
		} else {
			fmt.Println(".env loaded successfully")
		}
	} else {
		fmt.Println(".env.local loaded successfully")
	}
}

func main() {
	masterController := Controllers.MasterController()
	fmt.Println("Trying to load .env.local file...")
	LoadDotEnv()
	port := os.Getenv("HTTP_PORT")
	fmt.Printf("Starting server on port %s\n", port)
	errSrv := http.ListenAndServe(":"+port, masterController)
	if errSrv != nil {
		fmt.Println("Server start error")
		return
	}
}
